/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2007-2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
(function() {

dojo.provide("com.ibm.rational.report.web.core.app.internal.Util");

/**
 * Helper function to sort a list of data items.
 */
com.ibm.rational.report.web.core.app.internal.Util = {

	sort: function(items) {
		var names = [];
		for (var i = 0; i < items.length; i++) {
			names[i] = items[i].name;
		}
		names = names.sort();
		var result = [];
		for (var i = 0; i < names.length; i++) {
			result[i] = this._find(names[i], items);
		}
		return result;
	},
	
	_find: function(name, items) {
		for (var i = 0; i < items.length; i++) {
			if (items[i].name == name) {
				return items[i];
			}
		}
		return null;
	},
	
	removeChildren: function(element) {
		while (element.firstChild) {
		    element.removeChild(element.firstChild);
		}
	}
	
};

})();
